# Class Authenticator.Retry

java.lang.Object
com.sun.net.httpserver.Authenticator.Result
com.sun.net.httpserver.Authenticator.Retry

Enclosing class:
  `Authenticator`

public static class Authenticator.Retry extends Authenticator.Result
Indicates an authentication must be retried. The response code to be sent back is as returned from `getResponseCode()`. The `Authenticator` must also have set any necessary response headers in the given `HttpExchange` before returning this `Retry` object.

Since:
  1.6

## Constructor Summary

Constructors
Constructor
Description
`Retry(int responseCode)`
Creates a `Retry` instance with given response code.

## Method Summary

Modifier and Type
Method
Description
`int`
`getResponseCode()`
Returns the response code to send to the client.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### Retry

public Retry(int responseCode)
Creates a `Retry` instance with given response code.

Parameters:
  `responseCode` - the response code to associate with this `Retry` instance

## Method Details

### getResponseCode

public int getResponseCode()
Returns the response code to send to the client.

Returns:
  the response code associated with this `Retry` instance